petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESFASRestrict

restrict a Vec to the next coarser level

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASRestrict(SNES fine,Vec Xfine,Vec Xcoarse)

Collective

### Input Arguments

| fine | - SNES from which to restrict
| Xfine | - vector to restrict

### Output Arguments

Xcoarse -result of restriction

### See Also

SNESFASSetRestriction(), SNESFASSetInjection()

### Level

developer

### Location

src/snes/impls/fas/fas.c
Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages